Bug 8210 - fmt.tld and fmt-rt.tld use EMPTY rather than empty for body-content of some tags
Summary: fmt.tld and fmt-rt.tld use EMPTY rather than empty for body-content of some tags
Status: CLOSED FIXED
Alias: None
Product: Taglibs
Classification: Unclassified
Component: Standard Taglib (show other bugs)
Version: 1.0B1
Hardware: All All
: P3 normal (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-17 15:48 UTC by Jon Pierce
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Pierce 2002-04-17 15:48:45 UTC
The JSP 1.2 TLD DTD, web-jsptaglibrary_1_2.dtd, lists only three possible 
values for the body-content element: tagdependent, JSP, or empty.  Case should 
be preserved, so the instances in fmt.tld and fmt-rt.tld where EMPTY is used 
(requestEncoding and locale) should be replaced by empty.
Comment 1 Shawn Bayern 2002-04-17 16:36:55 UTC
Fixed.  Thanks for the report.
Comment 2 Jon Pierce 2002-04-17 19:42:00 UTC
I downloaded the latest full nightly build (from April 15th) and discovered the 
same problem for setTimeZone and setBundle.
Comment 3 Jan Luehe 2002-04-17 19:44:25 UTC
This is going to be fixed in tonight's build.
Comment 4 Jon Pierce 2002-04-18 17:07:08 UTC
verified in april 18th's build